
Redmine - Defect #10193

Unappropriate icons in highlighted code block

2012-02-10 08:17 - Aleksej Lebedev

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 1.3.2   

Resolution: Fixed Affected version: 1.3.1

Description

A few weeks ago I upgraded to 1.3.0 and all code blocks now displayed incorrectly :(

Example code:

<pre><code class="html">

        <if test="authorcfields:|:$author['custom_fields'] != """>

            <foreach loop="customFieldsOuter:$author['custom_fields'] as $group => $data">

                <foreach loop="customFields:$author['custom_fields'][ $group ] as $field">

                    <if test="$field != ''">

                        <li>

                            {$field}

                        </li>

                    </if>

                </foreach>

            </foreach>

        </if>

</code>

 Invalid result:

        <if test="authorcfields:|:$author['custom_fields'] != """>

            <foreach loop="customFieldsOuter:$author['custom_fields'] as $group => $data">

                <foreach loop="customFields:$author['custom_fields'][ $group ] as $field">

                    <if test="$field != ''">

                        <li>

                            {$field}

                        </li>

                    </if>

                </foreach>

            </foreach>

        </if>

 How I can remove these unnecessary icons without editing wiki pages? Thanks!

Associated revisions

Revision 8835 - 2012-02-10 19:03 - Jean-Philippe Lang

Makes error class more specific to prevent clashes with syntax highlight (#10193).

History

#1 - 2012-02-10 12:22 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

- Affected version (unused) changed from 1.3.0 to 1.3.1

- Affected version changed from 1.3.0 to 1.3.1
#2 - 2012-02-10 19:03 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r8835.

#3 - 2012-02-10 19:03 - Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 1.3.2

#4 - 2012-02-15 19:07 - Jean-Philippe Lang

- Subject changed from The unnecessary icons in the code block to Unappropriate icons in highlighted code block

#5 - 2012-03-05 13:51 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
